/*
 * Author:   DONGSK
 * Datetime: 2023/1/29 16:14
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.mongo.MongoDataAutoConfiguration;
import org.springframework.boot.autoconfigure.mongo.MongoAutoConfiguration;
import org.springframework.boot.context.ApplicationPidFileWriter;
import org.springframework.context.annotation.ComponentScan;

/**
 * ApplicationStart
 *
 * @author DONGSK 2023/1/29 16:14
 * @since 1.0.0
 */
@SpringBootApplication(exclude = {MongoAutoConfiguration.class, MongoDataAutoConfiguration.class})
@ComponentScan({"com.digiwin.gateway", "com.digiwin.athena"})
public class ApplicationStartBoot {
    public static void main(String[] args) {
        SpringApplication springApplication = new SpringApplication(ApplicationStartBoot.class);
        springApplication.addListeners(new ApplicationPidFileWriter("DWApiGatewayApplication.pid"));

        springApplication.setMainApplicationClass(ApplicationStartBoot.class);
        springApplication.run(args);
    }

}
