/*
 * Author:   DONGSK
 * Datetime: 2023/1/29 16:34
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.provider;

import com.digiwin.app.service.AllowAnonymous;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.restful.DWPathVariable;
import com.digiwin.app.service.restful.DWRequestMapping;
import com.digiwin.app.service.restful.DWRequestMethod;
import com.digiwin.app.service.restful.DWRestfulService;

import java.util.Map;

/**
 * BasicApiService
 *
 * @author DONGSK 2023/1/29 16:34
 * @since 1.0.0
 */
@DWRestfulService
public interface BasicApiService extends DWService {

    @AllowAnonymous
    @DWRequestMapping(path = "/api/hello-word")
    String helloWord(String name) throws Exception;

    @DWRequestMapping(path = "/EAIService/{serviceName}", method = DWRequestMethod.POST)
    Object mockEAIExecutor(@DWPathVariable String serviceName, Map<String, Object> requestParameter) throws Exception;

}