package com.digiwin.athena.app.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.provider.SalesOrderDetailEAIService;
import com.digiwin.athena.app.service.order.SalesOrderDetailUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author CR-7
 * create: 2023-04-27 14:48
 * Description:
 */
public class SalesOrderDetailEAIServiceImpl implements SalesOrderDetailEAIService {

    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(SalesOrderDetailUtil.DEMO_SO_ITEM_INFO_GET,headers,messageBody);
    }

    @Override
    public DWEAIResult create(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(SalesOrderDetailUtil.DEMO_SO_ITEM_INFO_CREATE,headers,messageBody);
    }

    @Override
    public DWEAIResult update(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(SalesOrderDetailUtil.DEMO_SO_ITEM_INFO_UPDATE,headers,messageBody);
    }
}
