package com.digiwin.athena.app.provider.impl;


import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.provider.StaffEAIService;
import com.digiwin.athena.app.service.staff.StaffUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @Auther: zhenggl
 * @Date: 2023/4/28
 */
public class StaffEAIServiceImpl implements StaffEAIService {

    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult update(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(StaffUtil.DEMO_WAIT_REGISTER_PERSONNEL_INFO_UPDATE,headers,messageBody);
    }

    @Override
    public DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(StaffUtil.DEMO_WAIT_REGISTER_PERSONNEL_INFO_GET,headers,messageBody);
    }


    @Override
    public DWEAIResult create(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(StaffUtil.DEMO_WAIT_REGISTER_PERSONNEL_INFO_CREATE,headers,messageBody);
    }
}
