package com.digiwin.athena.app.provider;


import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.service.order.SalesOrderDetailUtil;

import java.util.Map;

public interface SalesOrderDetailEAIService extends DWService {

    /**
     *   检料订单查询
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SalesOrderDetailUtil.DEMO_SO_ITEM_INFO_GET)
    DWEAIResult get(Map<String, String> headers, String messageBody)  throws Exception;

    /**
     *   检料订单创建
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SalesOrderDetailUtil.DEMO_SO_ITEM_INFO_CREATE)
    DWEAIResult create(Map<String, String> headers, String messageBody)  throws Exception;

    /**
     *   检料订单创建
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SalesOrderDetailUtil.DEMO_SO_ITEM_INFO_UPDATE)
    DWEAIResult update(Map<String, String> headers, String messageBody)  throws Exception;
}
